@import "../../../../base";
@import "../../../../theme";

.match-card-comp {
  padding: $mat-cell-dimension;
  @extend %full-centered-content;
  flex-direction: column;
  max-width: $mat-cell-dimension * 50;

  .match-summary {
    @extend %mat-headline6;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    max-width: $mat-cell-dimension * 46;
  }

  .match-winner {
    @extend %mat-headline5;
    color: $mdc-theme-primary;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    max-width: $mat-cell-dimension * 46;
  }

  .match-fields {
    @include mat-top-margin(4);
    @extend %mat-body1;
    display: grid;
    grid-template-rows: $mat-cell-dimension * 4 $mat-cell-dimension * 4 $mat-cell-dimension * 4;
  }

  .match-opponents {
    @include mat-top-margin(4);
    display: grid;
    align-self: flex-start;
    grid-row-gap: $mat-cell-dimension * 2;

    .match-opponent {
      align-self: flex-start;

      .match-opponent-label {
        color: $mdc-theme-primary;
      }
    }
  }
}